<f:variable name="headerLayout" value="{data.header_layout}"/>
<f:variable name="imagePosition" value="{data.tx_mask_image_position}"/>

<section class="image-text frame-space-before-{data.space_before_class} frame-space-after-{data.space_after_class}">

    <div class="row">
        <div class="col">
            <f:if condition="{data.header}">
                <h{headerLayout}>
                {data.header -> f:format.raw()}
                </h{headerLayout}>
            </f:if>

            <f:if condition="{data.subheader}">
                <p>{data.subheader}</p>
            </f:if>
        </div>
    </div>

    <div class="row">

        <f:switch expression="{imagePosition}">
            <f:case value="above">
                <div class="col-12">
                    <f:render section="Image" arguments="{data: '{data}'}" />
                </div>
                <div class="col-12">
                    <f:render section="Content" arguments="{data: '{data}'}" />
                </div>
            </f:case>
            <f:case value="below">
                <div class="col-12 order-lg-last">
                    <f:render section="Image" arguments="{data: '{data}'}" />
                </div>
                <div class="col-12">
                    <f:render section="Content" arguments="{data: '{data}'}" />
                </div>
            </f:case>
            <f:case value="left">
                <div class="col-12 col-lg-6">
                    <f:render section="ImageSmall" arguments="{data: '{data}'}" />
                </div>
                <div class="col-12 col-lg-6">
                    <f:render section="Content" arguments="{data: '{data}'}" />
                </div>
            </f:case>
            <f:case value="right">
                <div class="col-12 col-lg-6 order-lg-last">
                    <f:render section="ImageSmall" arguments="{data: '{data}'}" />
                </div>
                <div class="col-12 col-lg-6">
                    <f:render section="Content" arguments="{data: '{data}'}" />
                </div>
            </f:case>
        </f:switch>
    </div>

    <f:section name="Image">
        <f:for each="{data.image}" as="file">
            <picture>
                <source media="(min-width: 1400px)" srcset="{f:uri.image(image:'{file}', width: 1143, treatIdAsReference: 'TRUE')}">
                <source media="(min-width: 1200px)" srcset="{f:uri.image(image:'{file}', width: 926, treatIdAsReference: 'TRUE')}">
                <source media="(min-width: 992px)" srcset="{f:uri.image(image:'{file}', width: 776, treatIdAsReference: 'TRUE')}">
                <source media="(min-width: 768px)" srcset="{f:uri.image(image:'{file}', width: 696, treatIdAsReference: 'TRUE', cropVariant:'tablet')}">
                <source media="(min-width: 576px)" srcset="{f:uri.image(image:'{file}', width: 516, treatIdAsReference: 'TRUE', cropVariant:'mobile')}">
                <source media="(min-width: 480px)" srcset="{f:uri.image(image:'{file}', width: 551, treatIdAsReference: 'TRUE', cropVariant:'mobile')}">

                <source srcset="{f:uri.image(image:'{file}', width: 320, treatIdAsReference: 'TRUE', cropVariant:'mobile')}">
                <f:media file="{file}" width="400c" loading="lazy" title="{f:if(condition: file.title, then: file.title, else: file.name)}" alt="{f:if(condition: file.alternative, then: file.alternative, else: file.name)}" class="d-block w-100 h-auto"/>
            </picture>

            <f:if condition="{file.description}">
                <div class="image-caption footnote mt-2">
                    {file.description}
                </div>
            </f:if>
        </f:for>
    </f:section>

    <f:section name="ImageSmall">
        <f:for each="{data.image}" as="file">
            <picture>
                <source media="(min-width: 1200px)" srcset="{f:uri.image(image:'{file}', width: 590, treatIdAsReference: 'TRUE')}">
                <source media="(min-width: 992px)" srcset="{f:uri.image(image:'{file}', width: 376, treatIdAsReference: 'TRUE')}">
                <source media="(min-width: 768px)" srcset="{f:uri.image(image:'{file}', width: 696, treatIdAsReference: 'TRUE', cropVariant:'tablet')}">
                <source media="(min-width: 576px)" srcset="{f:uri.image(image:'{file}', width: 516, treatIdAsReference: 'TRUE', cropVariant:'mobile')}">
                <source media="(min-width: 480px)" srcset="{f:uri.image(image:'{file}', width: 551, treatIdAsReference: 'TRUE', cropVariant:'mobile')}">

                <source srcset="{f:uri.image(image:'{file}', width: 320, treatIdAsReference: 'TRUE', cropVariant:'mobile')}">
                <f:media file="{file}" width="400c" loading="lazy" title="{f:if(condition: file.title, then: file.title, else: file.name)}" alt="{f:if(condition: file.alternative, then: file.alternative, else: file.name)}" class="d-block w-100 h-auto"/>
            </picture>
        </f:for>
    </f:section>

    <f:section name="Content">
        <f:if condition="{data.bodytext}">
            <div class="content my-3">
                {data.bodytext -> f:format.html()}
            </div>
        </f:if>
    </f:section>

</section>
